
<!DOCTYPE HTML>
<html>
  <head>

    <title>DashGL.com</title>

    <meta charset="utf-8" />
    <meta name="viewport"
      content="width=device-width,initial-scale=1.0,user-scalable=no">
    <meta name="description" content="Tutortials for Linux programming using
      GTK, C, and OpenGL" />
    <meta name="keywords" content="Linux,C,OpenGL,Tutorial,GTK">
    <meta name="author" content="Kion">

    <link rel="shortcut icon" href="/img/favicon.png">
    <link rel="stylesheet" type="text/css" href="/css/layout.css" />
  </head>
  <body>

    <div class="title">
      <a href="/Information?file=Mascot"><img
          src="/img/others_20171117_dashgl_dash_cropped_icon.png" /></a>
    </div>

    <header>

      <table>
        <th>
          <h1><a href="index.php">DashGL</a></h1>
        </th>
        <td></td>

        <td><a href='/Brickout'>Brickout</a></td>
        <td><a href='/Invaders' class='selected'>Invaders</a></td>
        <td><a href='/Astroids'>Astroids</a></td>
        <td><a href='/Information'>Information</a></td>

      </table>
    </header>

    <nav id="nav">

      <li><a href='/Brickout'>Brickout</a></li>
      <li><a href='/Invaders' class='selected'>Invaders</a></li>
      <li><a href='/Astroids'>Astroids</a></li>
      <li><a href='/Information'>Information</a></li>

    </nav>

    <section>

      <article>

        <table class="author">
          <tbody>
            <tr>
              <td>By Kion</td>
              <td>Oct. 8, 2017</td>
            </tr>
            <tr>
              <td>
                <a
                  href="https://github.com/kion-dgl/DashGL-GTK-Invaders-Tutorial/tree/master/01_Open_A_Window">
                  View Source On Github</a></td>
              <td></td>
            </tr>
          </tbody>
        </table>

        <img src="/img/invaders_01.png" width="646" height="512" />

        <p>
          First of all, we want to make sure that our GTK library is
          installed and working. So we start off opening a window.
        </p>

        <pre data-file="main.c">
#include &lt;gtk/gtk.h&gt;

int main(int argc, char *argv[]) {

    GtkWidget *window;

    gtk_init(&argc, &argv);

    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
    gtk_window_set_title(GTK_WINDOW(window), "Invaders Tutorial");
    gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);
    gtk_window_set_default_size(GTK_WINDOW(window), 640, 480);
    gtk_window_set_type_hint(GTK_WINDOW(window), GDK_WINDOW_TYPE_HINT_UTILITY);
    g_signal_connect(window, "destroy", G_CALLBACK(gtk_main_quit), NULL);

    gtk_widget_show_all(window);

    gtk_main();

    return 0;

}
</pre>

        <p>
          Compile:
        </p>

        <pre>$ gcc `pkg-config --cflags gtk+-3.0` main.c `pkg-config --libs gtk+-3.0`</pre>
        <p>
          Run:
        </p>

        <pre>$ ./a.out</pre>

      </article>

    </section>

    <aside>
      <ul>

        <li><a href='/Invaders/Introduction'>Introduction</a></li>
        <li><a class='selected' href='/Invaders/Open_a_Window'>Open
            a Window</a></li>
        <li><a href='/Invaders/Draw_a_Triangle'>Draw a Triangle</a></li>
        <li><a href='/Invaders/Shader_Program'>Shader Program</a></li>
        <li><a href='/Invaders/Orthographic_Coordinates'>Orthographic
            Coordinates</a></li>
        <li><a href='/Invaders/Cover_Background'>Cover Background</a></li>
        <li><a href='/Invaders/Background_Sprite'>Background Sprite</a></li>
        <li><a href='/Invaders/Matrix_Uniform'>Matrix Uniform</a></li>
        <li><a href='/Invaders/Player_Sprite'>Player Sprite</a></li>
        <li><a href='/Invaders/Move_Player_Sprite'>Move Player
            Sprite</a></li>
        <li><a href='/Invaders/Draw_Static_Bullet'>Draw Static
            Bullet</a></li>
        <li><a href='/Invaders/Shoot_Player_Bullets'>Shoot Player
            Bullets</a></li>
        <li><a href='/Invaders/Draw_Static_Enemy'>Draw Static Enemy</a></li>
        <li><a href='/Invaders/Draw_Static_Enemies'>Draw Static
            Enemies</a></li>
        <li><a href='/Invaders/Move_Enemies'>Move Enemies</a></li>
        <li><a href='/Invaders/Enemy_Hit_Detection'>Enemy Hit
            Detection</a></li>
        <li><a href='/Invaders/Enemies_Shoot_Back'>Enemies Shoot
            Back</a></li>
        <li><a href='/Invaders/Player_Hit_Detection'>Player Hit
            Detection</a></li>
        <li><a href='/Invaders/Gameover_and_Restart'>Gameover and
            Restart</a></li>

      </ul>
    </aside>

    <footer>

      <table>
        <tr>
          <td><a href='/Invaders/Introduction'>&lt;&lt; Prev<br>Introduction</a></td><td></td><td><a
              href='/Invaders/Draw_a_Triangle'>Next &gt;&gt;<br>Draw
              a Triangle</a></td> </tr>
      </table>

      Copyright &copy; 2017 DashGL Project

    </footer>

  </body>

</html>
